@import '../variables';
@import '../mixins';

.list-item {
  min-height: 60px;
  display: flex;
  align-items: center;
  border: none;
  border-radius: 10px;
  padding: 10px 15px;
  margin: 5px 0;
  @include box-shadow(-1px, 2px, 4px, rgba(0, 0, 0, 0.2));
  
  .list-item--index {
    flex-shrink: 0;
    width: 90px;
    padding-left: 15px;
    font-size: 2.25em;
    font-weight: 500;
  }
  
  .list-item--main {
    flex-grow: 1;
    font-size: 1.75em;
    font-weight: 500;
    margin: 0 10px;
  }

  .list-item--side {
    flex-shrink: 0;
    align-self: stretch;
    min-width: 100px;

    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: space-between;

    .list-item--side--top {
      font-weight: lighter;
    }

    .list-item--side--bottom {
      font-size: 1.45em;
      font-weight: bold;
    }
  }
}

